#!/bin/bash
# NAME: senddata.sh
# DESC: Send data to send directory to CMDL ftp server

stn=nil
src=/Volumes/JAO_USB/send

cd $src || exit 1
for I in *
do
  target="ftp://ftp.cmdl.noaa.gov/incoming/aer/${stn}/${I}"
  echo -n "sending ${I} to ${target}... "
  curl -u anonymous:aerosol@cmdl.noaa.gov -m 600 -s --disable-eprt \
    -T $I $target \
    && echo "done" && mv $I ../sent
  [ -e $I ] && echo "failed"
done

exit 0